RUSTSEC-2023-0082: Vulnerability in phonenumber

Rust Crates.io Security Advisory


History
Edit
JSON (OSV)

RUSTSEC-2023-0082

phonenumber: panic on parsing crafted RF3966 phonenumber inputs


Reported
Issued

Package

phonenumber
(crates.io)

Type

Vulnerability

Categories
Keywords

#panic

#untrusted-input

#parsing

Aliases
References
CVSS Score
8.6
HIGH
CVSS Details
Attack vector
Network
Attack complexity
Low

Privileges required
None
User interaction
None
Scope
Changed
Confidentiality
None
Integrity
None
Availability
High
CVSS Vector
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:N/A:H
Patched
  • >=0.2.5, <0.3.0
  • >=0.3.3
Affected Functions
Version
phonenumber::parse
  • *

Description

Impact

The phonenumber parsing code may panic due to a panic-guarded out-of-bounds access on the phonenumber string.

In a typical deployment of rust-phonenumber, this may get triggered by feeding a maliciously crafted phonenumber over the network, specifically the string .;phone-context=.

Patches

Patches will be published as version 0.3.3+8.13.9 and backported as 0.2.5+8.11.3.

Advisory available under CC0-1.0
license.

READ MORE